/***********************************************************************
frogd, daemon pour l'utilisation des capteurs meteo de http://www.froggyhome.com

Copyright (C) 2001 (Regis Barbier)
Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon 
les termes de la Licence Publique Gnrale GNU publie par la Free Software 
Foundation (version 2 ou bien toute autre version ultrieure choisie par vous).

Ce programme est distribu car potentiellement utile, mais SANS AUCUNE 
GARANTIE, ni explicite ni implicite, y compris les garanties de 
commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la 
Licence Publique Gnrale GNU pour plus de dtails.

Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme 
temps que ce programme. Si ce n'est pas le cas, crivez  la Free Software 
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
*************************************************************************/

#include "frogd.h"
#include "frogd_mysql.h"
#include "mysql.h"
MYSQL mysql;
//---------------------------------------------------------------
// Open a connexion with MySQL. 
//---------------------------------------------------------------
int ConnectDBFrog(Frog* frog) {
	mysql_init(&mysql);
	if (!mysql_real_connect(&mysql,frog->mysqlhost,frog->mysqluser,frog->mysqlpassword,frog->mysqldb, 0, NULL, 0))
		return -1;
		return 1;
}

//---------------------------------------------------------------
// Insert the frog values into the DB 
//---------------------------------------------------------------
int InsertDBFrog(Frog* frog) {
	struct tm* date;
	time_t t;
	time(&t);
	date = localtime(&t);
	
       sprintf(frog->mysqlquery,"INSERT INTO froggyhome (frog_date,frog_temp,frog_hum,frog_press) values (\"%d-%d-%d %d:%d:%d\", \"%.1f\", \"%.1f\", \"%.1f\")",date->tm_year+1900,date->tm_mon+1,date->tm_mday,date->tm_hour,date->tm_min,date->tm_sec,frog->lasttemp,frog->lasthum,frog->lastpress); 	
	
	if (mysql_query(&mysql, frog->mysqlquery)) 
	return 1;
	else return -1;
}

//---------------------------------------------------------------
// Close the frog database 
//---------------------------------------------------------------
int CloseDBFrog() {
	mysql_close(&mysql); 
}
